<!DOCTYPE html>

<?php

$nombre   = $_POST['nombre'];
$claveusu = $_POST['clave'];

include ("../SIME/conexion.php");
 

// Realiza consulta de usuarios MySQL
$query = "SELECT * FROM SIME_BAS_USUARIOS WHERE logUsuario LIKE  '$nombre'  and claveUsuario LIKE '$claveusu'".
         "AND codPerfil!='M' AND codPerfil!='B'";
$result = mysql_query($query) or die('Consulta fallida 1: ' . mysql_error());

$cantRegistros=mysql_num_rows($result);
global $usuarioValido;

$usuarioValido = "X";
  
if ($cantRegistros >0) {  
   
   // Imprimir los resultados en HTML
   $i=0;
   //echo "<table>\n";
   while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) {
      /*   
      echo "\t<tr>\n";
       foreach ($line as $col_value) {
          echo "\t\t<td>$col_value</td>\n";
        }
       echo "\t</tr>\n";
       
       $i++;
       */
           $nitEmpresaW     = $line["nitEmpresa"];
           $codSedeW        = $line["codSede"];
           $codCargoW       = $line["codCargo"];
           $idUsuarioW      = $line["idUsuario"];
           $apell1UsuarioW  = $line["apell1Usuario"];
           $apell2UsuarioW  = $line["apell2Usuario"];
           $nomUsuarioW     = $line["nomUsuario"];
           $codPerfilW      = $line["codPerfil"];
           $estadoW         = $line["estado"];
           
           global $nitEmpresa, $nombreUsuario, $idUsuario, $codSede, $perfil, $workUsuario, $usuarioArch;
           $nombreUsuario  = $nomUsuarioW." ".$apell1UsuarioW." ".$apell2UsuarioW;
           $nitEmpresa     = $nitEmpresaW; 
           $codSede        = $codSedeW;
           $cargoUsuario   = $codCargoW;
           $idUsuario      = $idUsuarioW;
           $perfil         = $codPerfilW;
           $usuarioArch     = $nombre;
           
           if ($perfil =="A"){
              $cargoUsuario = "ADMINISTRADOR";      
           }
           if ($perfil =="C"){
              $cargoUsuario = "CONSULTA";      
           }
           if ($perfil =="M"){
              $cargoUsuario = "MEDICO";      
           } 
           if ($perfil =="S"){
              $cargoUsuario = "SUPERUSUARIO";      
           }
           if ($perfil =="O"){
              $cargoUsuario = "ODONTOLOGO";      
           }  
           if ($perfil =="V"){
              $cargoUsuario = "BARRA ODONTOLOGIA";      
           }  
           if ($perfil =="B"){
              $cargoUsuario = "BARRA MEDICINA";      
           }
           if ($perfil =="X"){
              $cargoUsuario = "MEDICO";      
           }
           

           if ($estadoW == "A")
           {
            $usuarioValido = "S";
           }
           else
           {
            $usuarioValido = "N";
           }
             
   }
  //echo "</table>\n";

}else{
     $usuarioValido="N";  
}

if ($usuarioValido=='S') {
   // Realiza consulta del nombre de empresa
   include("conexion.php");
   $query = "SELECT * FROM SIME_BAS_EMPRESAS WHERE nitEmpresa = '$nitEmpresaW'";
   $result = mysql_query($query) or die('Consulta fallida 2: ' . mysql_error());
   $cantRegistros=mysql_num_rows($result);
   
   if ($cantRegistros>0) {  
      
      global $empresaUsuario;
      
      while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) { 
          $empresaUsuario     = $line["nomEmpresa"];
      }//while
   }//if empresa   
   
   // Realiza consulta del nombre del cargo
   /*
   include("conexion.php");
   $query = "SELECT * FROM SIME_BAS_CARGOS WHERE nitEmpresa = '$nitEmpresaW' AND codCargo = '$codCargoW'";
  
   $result = mysql_query($query) or die('Consulta fallida 3: ' . mysql_error());
   $cantRegistros=mysql_num_rows($result);
   
   if ($cantRegistros >0) {  
       
       global  $cargoUsuario;
      
       while ($line = mysql_fetch_array($result, MYSQL_ASSOC)) { 
            $cargoUsuario     = $line["nomCargo"];
            echo "cargo usuario ". $cargoUsuario;
        }//while
   }//if cargo
  */
  
   //inicia sesion de variables para control de acceso
    session_start(); 
    $_SESSION['acceso']         = 1; 
    $_SESSION['nitEmpresa']     = $nitEmpresa;
    $_SESSION['codSede']        = $codSede;
    $_SESSION['nombreUsuario']  = $nombreUsuario;
    $_SESSION['empresaUsuario'] = $empresaUsuario;
    $_SESSION['cargoUsuario']   = $cargoUsuario;
    $_SESSION['idUsuario']      = $idUsuario;
     $_SESSION['perfil']         = $perfil;
    $_SESSION['nomLogUsu']      = $nombre;
    
     
    
    $workUsuario    =  "Usuario: " . $nombreUsuario . "  Empresa: " . $empresaUsuario ." Perfil:   ". $cargoUsuario;
    include ("userOk.php");
    //header("Location:userOk.html"); 
    
}else{
     //echo "NO EXISTE EL USUARIO"; 
     include ("userWrong.html");
     //header("Location:userWrong.html");
}

// Liberar resultados
mysql_free_result($result);

// Cerrar la conexion
mysql_close($link);

?>


<HTML>
<HEAD>
  <?php  
    echo "<meta http-equiv='refresh' content='900; URL=ctlLog.php?usu=$idUsuario&mot=DTO'>"; //900 = 15 MINUTOS DE ESPERA
  ?>
  <style type="text/css" media="all">@import "./estilos.css";</style>

  <TITLE>Identificaci&oacute;n de Usuarios</TITLE>
  
</HEAD>